Open CASCADE Technology: BinTObjDrivers_DocumentRetrievalDriver Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BinTObjDrivers_DocumentRetrievalDriver Class Reference

`#include <BinTObjDrivers_DocumentRetrievalDriver.hxx>`

Inheritance diagram for BinTObjDrivers_DocumentRetrievalDriver:
[legend]

## Public Member Functions
| BinTObjDrivers_DocumentRetrievalDriver ()
virtual Handle < BinMDF_ADriverTable > | AttributeDrivers (const Handle< CDM_MessageDriver > &theMsgDriver)
Public Member Functions inherited from BinLDrivers_DocumentRetrievalDriver
| BinLDrivers_DocumentRetrievalDriver ()
| Constructor. More...
virtual TCollection_ExtendedString | SchemaName () const
| pure virtual method definition More...
virtual void | Make (const Handle< PCDM_Document > &PD, const Handle< CDM_Document > &TD)
| pure virtual method definition More...
virtual Handle< CDM_Document > | CreateDocument ()
| pure virtual method definition More...
virtual void | Read (const TCollection_ExtendedString &theFileName, const Handle< CDM_Document > &theNewDocument, const Handle< CDM_Application > &theApplication)
| retrieves the content of the file into a new Document. More...
Public Member Functions inherited from PCDM_RetrievalDriver
virtual void | LoadExtensions (const Handle< Storage_Schema > &aSchema, const TColStd_SequenceOfExtendedString &Extensions, const Handle< CDM_MessageDriver > &theMsgDriver)
void | SetFormat (const TCollection_ExtendedString &aformat)
TCollection_ExtendedString | GetFormat () const
Public Member Functions inherited from PCDM_Reader
PCDM_ReaderStatus | GetStatus () const
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from PCDM_RetrievalDriver
static void | RaiseIfUnknownTypes (const Handle< Storage_Schema > &aSchema, const TCollection_ExtendedString &aFileName)
static Standard_Integer | DocumentVersion (const TCollection_ExtendedString &aFileName, const Handle< CDM_MessageDriver > &theMsgDriver)
static Standard_Integer | ReferenceCounter (const TCollection_ExtendedString &aFileName, const Handle< CDM_MessageDriver > &theMsgDriver)
Protected Member Functions inherited from BinLDrivers_DocumentRetrievalDriver
virtual Standard_Integer | ReadSubTree (Standard_IStream &theIS, const TDF_Label &theData)
| Read the tree from the stream <theIS> to <theLabel> More...
Storage_Position | ReadInfoSection (const TCollection_AsciiString &theFile, Handle< Storage_HeaderData > &theData)
| Read the info section of theFile into theData, return a file position corresponding to the info section end. More...
virtual void | ReadSection (BinLDrivers_DocumentSection &theSection, const Handle< CDM_Document > &theDoc, Standard_IStream &theIS)
| define the procedure of reading a section to file. More...
virtual void | ReadShapeSection (BinLDrivers_DocumentSection &theSection, Standard_IStream &theIS, const Standard_Boolean isMess=Standard_False)
virtual void | CheckShapeSection (const Storage_Position &thePos, Standard_IStream &theIS)
virtual void | PropagateDocumentVersion (const Standard_Integer theVersion)
virtual Standard_Boolean | CheckDocumentVersion (const Standard_Integer theFileVersion, const Standard_Integer theCurVersion)
| Check a file version(in which file was written) with a current version. Redefining this method is a chance for application to read files written by newer applications. The default implementation: if the version of the file is greater than the current or lesser than 2, then return false, else true. More...
void | WriteMessage (const TCollection_ExtendedString &theMessage)
| write theMessage to the MessageDriver of the Application More...
Protected Attributes inherited from BinLDrivers_DocumentRetrievalDriver
Handle< BinMDF_ADriverTable > | myDrivers
BinObjMgt_RRelocationTable | myRelocTable
Protected Attributes inherited from PCDM_Reader
PCDM_ReaderStatus | myReaderStatus

## Constructor & Destructor Documentation

BinTObjDrivers_DocumentRetrievalDriver::BinTObjDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Handle< BinMDF_ADriverTable > BinTObjDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle< CDM_MessageDriver > & | theMsgDriver | ) |
| virtual

Reimplemented from BinLDrivers_DocumentRetrievalDriver.

The documentation for this class was generated from the following file:

- BinTObjDrivers_DocumentRetrievalDriver.hxx